Bug 231577

Summary: [PATCH] advice in sys/i386/i386/pmap.c is wrong
Product: Base System Reporter: Andre Albsmeier <mail>
Component: kernAssignee: freebsd-bugs mailing list <bugs>
Status: Closed FIXED    
Severity: Affects Some People CC: emaste, imp, kib, ota
Priority: --- Keywords: patch
Version: 11.2-STABLE   
Hardware: i386   
OS: Any   
Attachments:
Description Flags
Patch none

Description Andre Albsmeier 2018-09-22 10:06:00 UTC
Created attachment 197343 [details]
Patch

I was hit by:

Approaching the limit on PV entries, consider increasing either the vm.pmap.shpgperproc or the vm.pmap.pv_entry_max tunable.

The latter seems to be wrong - vm.pmap.pv_entry_max can't be changed.
The correct name would be vm.pmap.pv_entries.

The code can also be found in sys/arm/arm/pmap-v6.c and might be wrong
there as well.
Comment 1 commit-hook freebsd_committer 2018-12-01 16:43:35 UTC
A commit references this bug:

Author: kib
Date: Sat Dec  1 16:43:19 UTC 2018
New revision: 341374
URL: https://svnweb.freebsd.org/changeset/base/341374

Log:
  Correct the tunable name in the message.

  Submitted by:	 Andre Albsmeier <mail@fbsd.e4m.org>
  PR:	231577
  MFC after:	1 week

Changes:
  head/sys/arm/arm/pmap-v6.c
  head/sys/i386/i386/pmap.c
Comment 2 commit-hook freebsd_committer 2018-12-08 00:45:07 UTC
A commit references this bug:

Author: kib
Date: Sat Dec  8 00:44:44 UTC 2018
New revision: 341715
URL: https://svnweb.freebsd.org/changeset/base/341715

Log:
  MFC r341374:
  Correct the tunable name in the message.

  PR:	231577

Changes:
_U  stable/12/
  stable/12/sys/arm/arm/pmap-v6.c
  stable/12/sys/i386/i386/pmap.c
Comment 3 commit-hook freebsd_committer 2018-12-08 00:48:13 UTC
A commit references this bug:

Author: kib
Date: Sat Dec  8 00:47:23 UTC 2018
New revision: 341717
URL: https://svnweb.freebsd.org/changeset/base/341717

Log:
  MFC r341374:
  Correct the tunable name in the message.

  PR:	231577

Changes:
_U  stable/11/
  stable/11/sys/arm/arm/pmap-v6.c
  stable/11/sys/i386/i386/pmap.c
Comment 4 Warner Losh freebsd_committer 2019-01-07 16:42:50 UTC
kib committed and MFC'd this. Close it out. kib can reopen if I'm doing this in error.